Package com.xebialabs.xlrelease.risk.domain.progress

# Class ReleaseProgress

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.ReleaseExtension
com.xebialabs.xlrelease.risk.domain.progress.ReleaseProgress

All Implemented Interfaces:
  `ConfigurationItem`, `VisitableItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(versioned=false, description="Summary of release progress") public class ReleaseProgress extends ReleaseExtension

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PROGRESS_PREFIX`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReleaseProgress()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,String>`
  `getPhasesProgress()`
  `int`
  `getTotalRemainingTasks()`
  `int`
  `getTotalTasks()`
  `void`
  `setPhasesProgress(Map<String,String> phasesProgress)`
  `void`
  `setTotalRemainingTasks(int totalRemainingTasks)`
  `void`
  `setTotalTasks(int totalTasks)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.ReleaseExtension

  `accept, getVariableUsages`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### PROGRESS_PREFIX

    public static final String PROGRESS_PREFIX
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ReleaseProgress

    public ReleaseProgress()

- ## Method Details

  - ### getPhasesProgress

    public Map<String,String> getPhasesProgress()

  - ### setPhasesProgress

    public void setPhasesProgress(Map<String,String> phasesProgress)

  - ### getTotalTasks

    public int getTotalTasks()

  - ### setTotalTasks

    public void setTotalTasks(int totalTasks)

  - ### getTotalRemainingTasks

    public int getTotalRemainingTasks()

  - ### setTotalRemainingTasks

    public void setTotalRemainingTasks(int totalRemainingTasks)